Older firmware for USG20VPN

Options
CoreSG
CoreSG Posts: 40  Freshman Member
First Anniversary Friend Collector First Comment
Hi, I have a USG20 VPN that needs to be updated.
Current firmware is 4.62
The latest upgrade says "If the firewall running with previous version then ZLD5.00, we recommended upgrade to ZLD5.10 C0 or later version to Standby partition first before upgrading to ZLD5.30"

And the notes for firmware 5.21 (oldest available at the product page at https://www.zyxel.com/support) says: "Recommended upgrade to ZLD5.10 Patch0 or later version first before upgrading to ZLD5.21"

Can I please have a link to ZLD5.10 Patch0 for the USG20 VPN ?
Thanks !



Accepted Solution

  • Zyxel_Jeff
    Zyxel_Jeff Posts: 1,100  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer
    Answer ✓
    Options

    Hi @CoreSG

    We will provide 5.10 firmware to you via private message, please notice your inbox, thanks.

    BTW, please know that we rename USG 20 VPN to USG 50 since V5.20, due to it can be deployed to on-premise and on-cloud mode.

     

«1

All Replies

  • Zyxel_Jeff
    Zyxel_Jeff Posts: 1,100  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer
    Answer ✓
    Options

    Hi @CoreSG

    We will provide 5.10 firmware to you via private message, please notice your inbox, thanks.

    BTW, please know that we rename USG 20 VPN to USG 50 since V5.20, due to it can be deployed to on-premise and on-cloud mode.

     

  • CoreSG
    CoreSG Posts: 40  Freshman Member
    First Anniversary Friend Collector First Comment
    Options
    Thanks !!
  • Mati
    Mati Posts: 6
    First Anniversary First Comment
    Options

    We will provide 5.10 firmware to you via private message, please notice your inbox, thanks.


    Hi Zyxel_Jeff,

    I have the same issue, but with USG20W-VPN (FLEX50W) - need to upgrade to v5.35 from v4.62.
    At the myZyxel portal there is only 5.31, 5.32 and 5.35, but as I understand correctly, I need to upgrade to 5.10 first.

    Thanks in advance!



  • mMontana
    mMontana Posts: 1,338  Guru Member
    First Anniversary 10 Comments Friend Collector First Answer
    Options
    Maybe milestone releases should be avaliable anyway on portal,  @Zyxel_Jeff
  • Zyxel_Jeff
    Zyxel_Jeff Posts: 1,100  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer
    Options
    Hi @Mati

    Mati said:

    We will provide 5.10 firmware to you via private message, please notice your inbox, thanks.


    Hi Zyxel_Jeff,

    I have the same issue, but with USG20W-VPN (FLEX50W) - need to upgrade to v5.35 from v4.62.
    At the myZyxel portal there is only 5.31, 5.32 and 5.35, but as I understand correctly, I need to upgrade to 5.10 first.

    Thanks in advance!
    Please check your inbox for the private message. I already sent a message to you. Besides, before you upgrade the firmware, we suggest you can back up the current startup-config file. In case there is any unexpected situation occurs. Thanks.


  • Zyxel_Jeff
    Zyxel_Jeff Posts: 1,100  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer
    Options
    Hi @mMontana
    mMontana said:
    Maybe milestone releases should be avaiable anyway on portal,  @Zyxel_Jeff
    Thanks for your suggestion. Currently, we only put our latest firmware on the myZyxel Firmware Download portal. If the customer wants the older firmware could contact us and we will provide it respectively. Thanks.
  • mMontana
    mMontana Posts: 1,338  Guru Member
    First Anniversary 10 Comments Friend Collector First Answer
    edited February 2023
    Options
    The "Current policy" lead to slower deployment of the devices if the buyed one/s (used or new) is /are not up-to-date for the update procedure via myzyxel Portal.
    Also the customer/the zyxel partner should know that the "official" way to get this mandatory milestones is the community.
  • Zyxel_Jeff
    Zyxel_Jeff Posts: 1,100  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer
    Options

    Really appreciate your valuable advice and reminder. In the past, we consider it might be a problem if updating to the beyond firmware version, so suggested the customer could update firmware from V.462 to V5.10 and then to the latest firmware. 
    After we monitored it for a time and fixed some bugs then found that updating firmware from V4.62 to V5.35 directly is OK for the customer as well, but still need to back up the config file before updating the firmware in case there is any unexpected situation, it's a great habit for everyone.
  • leplagiste79
    Options

    Hi Zyxel_Jeff,

    I have the same issue with USG20-VPN - need to upgrade from version 4.65 to latest.
    Can you send to me the version 5.10 ?

    Best regards

  • PeterUK
    PeterUK Posts: 2,858  Guru Member
    First Anniversary 10 Comments Friend Collector First Answer
    edited March 2023
    Options

    https://support.zyxel.eu/hc/en-us/articles/360013941859-Security-Products-Firmware-Overview-FLEX-ATP-USG-VPN-ZYWALL

Security Highlight